/*
 * Copyright (C) 2012  Dan Nicholson <dbn.lists@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 */

#ifndef _EVBP_MIME_H_
#define _EVBP_VIEWER_H_

#include <glib-object.h>
#include <evince-document.h>
#include <evince-view.h>

G_BEGIN_DECLS

#define EVBP_TYPE_VIEWER \
    (evbp_viewer_get_type())
#define EVBP_VIEWER(obj) \
    (G_TYPE_CHECK_INSTANCE_CAST((obj), EVBP_TYPE_VIEWER, EvbpViewer))
#define EVBP_VIEWER_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_CAST((klass), EVBP_TYPE_VIEWER, EvbpViewerClass))
#define EVBP_IS_VIEWER(obj) \
    (G_TYPE_CHECK_INSTANCE_TYPE((obj), EVBP_TYPE_VIEWER))
#define EVBP_IS_VIEWER_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_TYPE((klass), EVBP_TYPE_VIEWER))
#define EVBP_GET_VIEWER_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS((obj), EVBP_TYPE_VIEWER, EvbpViewerClass))

typedef struct _EvbpViewer EvbpViewer;
typedef struct _EvbpViewerClass EvbpViewerClass;

struct _EvbpViewer {
    GtkBox box;

    /* FIXME: should be in a private */
    EvDocument *document;
    EvDocumentModel *model;

    GtkActionGroup *action_group;
    GtkActionGroup *accel_group;
    GtkUIManager *ui_manager;

    GtkWidget *scroll;
    GtkWidget *view;
};

struct _EvbpViewerClass {
    GtkBoxClass parent_class;
};

GType evbp_viewer_get_type(void) G_GNUC_CONST;
GtkWidget *evbp_viewer_new(void);
gboolean evbp_viewer_load_uri(EvbpViewer *viewer, const char *uri,
                              GError **error);

G_END_DECLS

#endif /* _EVBP_VIEWER_H_ */
