/*
 * Copyright (C) 2011, 2012  Dan Nicholson <dbn.lists@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 */

#include "evbp-mime.h"

#include <stdio.h>
#include <stdlib.h>
#include <glib.h>
#include <evince-view.h>

int main(int argc, char *argv[])
{
    GString *mimes;
    char **split, **cur;

    if (!ev_init()) {
        g_printerr("No backends found\n");
        exit(EXIT_FAILURE);
    }

    mimes = evbp_get_mime_description();

    g_print("Full Moz MIME Description:\n%s\n", mimes->str);
    g_print("\nTypes:\n");
    split = g_strsplit(mimes->str, ";", 0);
    for (cur = split; *cur; cur++)
        g_print("  %s\n", *cur);

    g_strfreev(split);
    g_string_free(mimes, TRUE);
    ev_shutdown();

    return 0;
}
